.service {
    width: 100%;
    display: flex;
    padding: 20px;
    gap: 20px;
    border-bottom: 1px solid var(--logo-blue);
}

.service:last-child {
    border-bottom: none;
}

.service img {
    max-height: 300px;
    aspect-ratio: 1;
    object-fit: contain;
}

.service-text {
    min-width: calc(100% - 320px);
    justify-content: start;
    align-content: center;
    padding: 0 0 0 20px;
}

.service-text button {
    margin-top: 10px;
}

.service-text button img {
    aspect-ratio: unset;
    height: 1rem;
}

.email-button {
    background-color: var(--logo-blue);
}

.phone-button {
    background-color: var(--primary-text);
}

@media (max-width: 750px) {
    .service {
        padding: 0 20px;
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: start;
    }
    
    .service-text {
        width: 100%;
        padding: 20px 0 20px 0;
    }
    
    .service-text button {
        max-width: calc(100vw - 40px);
        overflow-wrap: anywhere;
        min-width: unset;
    }
    
    .service img {
        height: 200px;
    }
    
    .service-text button {
        width: 100%;
    }
}